Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1269090 - [ALL-LANGS] Need to translate a message on virtual machine->errata sub-tab.
Summary: [ALL-LANGS] Need to translate a message on virtual machine->errata sub-tab.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ovirt-3.6.1
: ---
Assignee: Oved Ourfali
QA Contact: Pavel Stehlik
URL:
Whiteboard:
Depends On:
Blocks: 1269513
TreeView+ depends on / blocked
 
Reported: 2015-10-06 09:57 UTC by Bhushan Barve
Modified: 2016-04-20 01:39 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1269513 (view as bug list)
Environment:
Last Closed: 2016-04-20 01:39:08 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)
errata untranslated message (75.29 KB, image/png)
2015-10-06 09:57 UTC, Bhushan Barve
no flags Details


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 47081 0 master MERGED webadmin: untranslated errata-related error messages Never
oVirt gerrit 47142 0 ovirt-engine-3.6 MERGED webadmin: untranslated errata-related error messages Never

Description Bhushan Barve 2015-10-06 09:57:18 UTC
Description of problem: There is an untranslated message on virtual machine->errata sub-tab: "エラータの取得で問題が発生しました: The selected VM is not associated with a Foreman/Satellite provider. No errata for the VM are available.". Please refer attached screenshot.


Version-Release number of selected component (if applicable):
 Red Hat Enterprise Virtualization Manager バージョン: 3.6.0-0.16.master.el6 

How reproducible:
always

Steps to Reproduce:
1. login to rhevm with ja_JP locale
2. go to virtual machine->errata
3. observe the message

Actual results:
The message is partially translated.

Expected results:
The message is should be fully translated.

Additional info:
This is applicable only in case of a virtual machine which is not associated with any provider.

Comment 1 Bhushan Barve 2015-10-06 09:57:48 UTC
Created attachment 1080192 [details]
errata untranslated message

Comment 2 Einav Cohen 2015-10-07 13:13:58 UTC
relevant to all locales, not only Japanese (changing summary accordingly).

Comment 3 Einav Cohen 2015-10-07 13:37:52 UTC
the relevant messages are missing from the Frontend's AppErrors.properties files (see [1]), so they never reached Zanata. 

this BZ would be a CodeChange to track adding the missing English messages to the relevant AppErrors.properties files. 

Bug 1269513 is for tracking the translation of those messages. 
Verification should be performed in the context of Bug 1269513.

[1] http://www.ovirt.org/Engine_Adding_Messages

Comment 4 Bhushan Barve 2015-12-08 06:57:16 UTC
Verified with  Red Hat Enterprise Virtualization Manager Version: 3.6.1.1-0.1.el6 

The message on virtual machine->errata sub-tab is now translated for all locale.


Note You need to log in before you can comment on or make changes to this bug.